# Uses of Enum
org.eclipse.microprofile.lra.tck.participant.api.Scenario

Packages that use Scenario
Package
Description
org.eclipse.microprofile.lra.tck.participant.api

## Uses of Scenario in org.eclipse.microprofile.lra.tck.participant.api

Methods in org.eclipse.microprofile.lra.tck.participant.api that return Scenario
Modifier and Type
Method
Description
`static Scenario`
Scenario.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Scenario[]`
Scenario.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.lra.tck.participant.api with parameters of type Scenario
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
LRAUnknownResource.`activityWithLRA(URI lraId, Scenario scenario)`
`jakarta.ws.rs.core.Response`
LRAUnknownStatusResource.`activityWithLRA(URI lraId, Scenario scenario)`